%define upstream_name    Test-Lite
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A small Perl Test Library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Goose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Sub::Mage)
BuildArch: noarch

%description
Test::Lite is just that. A minimal test library based on the brilliant the
Test::Builder manpage. The main focus of this project was to learn more
about testing while building this module. A pretty overlooked subject
amongst some Perl developers is testing (myself included). I've tried to
offer some different features in this module, but you're probably still
better off with the Test::More manpage, the Test::Most manpage or one of
the many other testing libraries out there.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 515245
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 373573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 kharec <kharec> 0.9.0-1.mga3
+ Revision: 253316
- update to 0.009

* Sun Dec 04 2011 kharec <kharec> 0.8.0-1.mga2
+ Revision: 176017
- imported package perl-Test-Lite


* Sun Dec 04 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
